#pragma once

#include <VrApi_Types.h>
#include <VrApi.h>
#include <VrApi_Helpers.h>
#include <VrApi_SystemUtils.h>
#include <VrApi_Input.h>

#include <OVR_Platform.h>
#include <OVR_PlatformInitialize.h>
#include <OVR_Requests_Media.h>
#include <OVR_Requests_Livestreaming.h>

#include <EGL/egl.h>
#include <EGL/eglext.h>
#include <android/window.h>

void oculus_init(JavaVM* vm, JNIEnv* jni, jobject activity_class);
void oculus_init_vr(EGLDisplay display, EGLContext context, ANativeWindow* surface);
void oculus_release_vr();
void oculus_draw(float dt);
